Bug 1367740 - golang-github-go-fsnotify-fsnotify FTBFS due to failing tests
Summary: golang-github-go-fsnotify-fsnotify FTBFS due to failing tests
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-go-fsnotify-fsnotify
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-08-17 11:07 UTC by Peter Robinson
Modified: 2018-05-29 11:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:48:00 UTC


Attachments (Terms of Use)

Description Peter Robinson 2016-08-17 11:07:36 UTC
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3677865

golang-github-go-fsnotify-fsnotify-1.2.0-0.4.git96c060f.fc25

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.1pPWD0
+ umask 022
+ cd /builddir/build/BUILD
+ cd fsnotify-96c060f6a6b7e0d6f75fddd10efeaca3e5d1bcb0
+ export GOPATH=/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.4.git96c060f.fc25.aarch64//usr/share/gocode:/usr/share/gocode
+ GOPATH=/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.4.git96c060f.fc25.aarch64//usr/share/gocode:/usr/share/gocode
+ go test -compiler gc -ldflags '' github.com/go-fsnotify/fsnotify
--- FAIL: TestPollerWithBadFd (0.14s)
	inotify_poller_test.go:70: Expected EBADF, got: function not implemented
--- FAIL: TestPollerWithData (0.14s)
	inotify_poller_test.go:62: Failed to create poller: function not implemented
--- FAIL: TestPollerWithWakeup (0.14s)
	inotify_poller_test.go:62: Failed to create poller: function not implemented
--- FAIL: TestPollerWithClose (0.14s)
	inotify_poller_test.go:62: Failed to create poller: function not implemented
--- FAIL: TestPollerWithWakeupAndData (0.14s)
	inotify_poller_test.go:62: Failed to create poller: function not implemented
--- FAIL: TestPollerConcurrent (0.14s)
	inotify_poller_test.go:62: Failed to create poller: function not implemented
--- FAIL: TestInotifyCloseRightAway (0.14s)
	inotify_test.go:20: Failed to create watcher
--- FAIL: TestInotifyCloseSlightlyLater (0.14s)
	inotify_test.go:34: Failed to create watcher
--- FAIL: TestInotifyCloseSlightlyLaterWithWatch (0.14s)
	inotify_test.go:52: Failed to create watcher
--- FAIL: TestInotifyCloseAfterRead (0.14s)
	inotify_test.go:71: Failed to create watcher
--- FAIL: TestInotifyCloseCreate (0.00s)
	inotify_test.go:117: Failed to create watcher: function not implemented
--- FAIL: TestInotifyStress (0.00s)
	inotify_test.go:162: Failed to create watcher: function not implemented
--- FAIL: TestInotifyRemoveTwice (0.00s)
	inotify_test.go:269: Failed to create watcher: function not implemented
--- FAIL: TestFsnotifyMultipleOperations (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyMultipleCreates (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyDirOnly (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyDeleteWatchedDir (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifySubDir (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyRename (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyRenameToCreate (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyRenameToOverwrite (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestRemovalOfWatch (0.09s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyAttrib (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyClose (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestFsnotifyFakeSymlink (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
--- FAIL: TestClose (0.00s)
	integration_test.go:50: NewWatcher() failed: function not implemented
FAIL
FAIL	github.com/go-fsnotify/fsnotify	1.466s
RPM build errors:

Comment 1 Jan Chaloupka 2016-08-17 13:35:45 UTC
Upstream issue: https://github.com/fsnotify/fsnotify/issues/112

Comment 2 Jan Chaloupka 2016-08-17 13:40:15 UTC
Comparing with the latest commit:

$ gofed apidiff --reference upstream:github.com/fsnotify/fsnotify:f12c6236fe7b5cf6bcf30e5935d08cb079d78334 --compare-with upstream:github.com/fsnotify/fsnotify:96c060f6a6b7e0d6f75fddd10efeaca3e5d1bcb0 -ac
~.: type updated: -struct Errors: 'quit' field removed
~.: type updated: -struct Errors: 'isClosed' field removed
~.: type updated: -struct Errors: 'watches' field removed
~.: type updated: -struct Errors: 'mu' field removed
~.: type updated: -struct Errors: 'input' field removed
~.: type updated: -struct Errors: 'port' field removed

Looks like no exported symbol is removed.

Comment 3 Jan Chaloupka 2016-08-17 13:52:34 UTC
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3678163

+ go test -compiler gc -ldflags '' github.com/go-fsnotify/fsnotify
panic: Fail in goroutine after TestInotifyStress has completed
goroutine 28 [running]:
panic(0x145480, 0x442017a150)
	/usr/lib/golang/src/runtime/panic.go:500 +0x390
testing.(*common).Fail(0x44200a0480)
	/usr/lib/golang/src/testing/testing.go:412 +0x15c
testing.(*common).FailNow(0x44200a0480)
	/usr/lib/golang/src/testing/testing.go:431 +0x20
testing.(*common).Fatalf(0x44200a0480, 0x174448, 0x11, 0x4420047f48, 0x1, 0x1)
	/usr/lib/golang/src/testing/testing.go:496 +0x70
github.com/go-fsnotify/fsnotify.TestInotifyStress.func3(0x44200aac60, 0x44200ac460, 0x1f, 0x44200a0480)
	/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.3.1-0.1.gitf12c623.fc26.aarch64/usr/share/gocode/src/github.com/go-fsnotify/fsnotify/inotify_test.go:223 +0x1c4
created by github.com/go-fsnotify/fsnotify.TestInotifyStress
	/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.3.1-0.1.gitf12c623.fc26.aarch64/usr/share/gocode/src/github.com/go-fsnotify/fsnotify/inotify_test.go:227 +0x444
FAIL	github.com/go-fsnotify/fsnotify	5.560s

Comment 4 Jan Chaloupka 2016-08-17 13:54:33 UTC
Could be related to https://github.com/golang/go/issues/16065

Comment 5 Jan Chaloupka 2016-08-17 13:56:46 UTC
golang/sys upstream came with https://github.com/golang/sys/commit/62bee037599929a6e9146f29d10dd5208c43507d.

$ gofed apidiff --reference upstream:github.com/golang/sys:62bee037599929a6e9146f29d10dd5208c43507d --compare-with upstream:github.com/golang/sys:33267e036fd93fcd26ea95b7bdaf2d8306cb743c -ac
+unix: new function: Ppoll
+unix: new function: Poll
+unix: new variable: POLLNVAL
+unix: new variable: POLLHUP
+unix: new variable: POLLPRI
+unix: new variable: POLLIN
+unix: new variable: POLLOUT
+unix: new variable: POLLERR
+unix: new variable: POLLRDHUP
+unix: new type: Sigset_t
+unix: new type: PollFd

Just new exported symbols introduced.

Comment 6 Peter Robinson 2016-11-20 13:23:06 UTC
Latest on rawhide is just generally FTBFS due to failing tests

http://koji.fedoraproject.org/koji/taskinfo?taskID=16544628

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.r7KntP
+ umask 022
+ cd /builddir/build/BUILD
+ cd fsnotify-96c060f6a6b7e0d6f75fddd10efeaca3e5d1bcb0
+ export GOPATH=/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.5.git96c060f.fc26.i386//usr/share/gocode:/usr/share/gocode
+ GOPATH=/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.5.git96c060f.fc26.i386//usr/share/gocode:/usr/share/gocode
+ go test -compiler gc -ldflags '' github.com/go-fsnotify/fsnotify
panic: Fail in goroutine after TestInotifyStress has completed
goroutine 54 [running]:
panic(0x814b7a0, 0x1873adc0)
	/usr/lib/golang/src/runtime/panic.go:500 +0x331
testing.(*common).Fail(0x185d2080)
	/usr/lib/golang/src/testing/testing.go:412 +0x10d
testing.(*common).FailNow(0x185d2080)
	/usr/lib/golang/src/testing/testing.go:431 +0x21
testing.(*common).Fatalf(0x185d2080, 0x8168edf, 0x11, 0x185977b0, 0x1, 0x1)
	/usr/lib/golang/src/testing/testing.go:496 +0x71
github.com/go-fsnotify/fsnotify.TestInotifyStress.func3(0x185b42c0, 0x185b2240, 0x1f, 0x185d2080)
	/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.5.git96c060f.fc26.i386/usr/share/gocode/src/github.com/go-fsnotify/fsnotify/inotify_test.go:221 +0x1c3
created by github.com/go-fsnotify/fsnotify.TestInotifyStress
	/builddir/build/BUILDROOT/golang-github-go-fsnotify-fsnotify-1.2.0-0.5.git96c060f.fc26.i386/usr/share/gocode/src/github.com/go-fsnotify/fsnotify/inotify_test.go:225 +0x477
FAIL	github.com/go-fsnotify/fsnotify	5.562s

Comment 7 Fedora End Of Life 2017-02-28 10:07:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Fedora End Of Life 2018-05-03 08:34:06 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 11:48:00 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.